FROM debian:10

RUN apt-get update && \ 
    apt-get -qq -y full-upgrade

RUN apt-get install -y apache2 php php-gd php-mbstring php-pgsql php-curl php-dom php-xml php-zip \
                       php-intl php-ldap php-fileinfo php-exif php-apcu php-redis php-imagick unzip curl wget && \
    phpenmod gd && \
    phpenmod curl && \
    phpenmod mbstring && \
    phpenmod pgsql && \
    phpenmod dom && \
    phpenmod zip && \
    phpenmod intl && \
    phpenmod ldap && \
    phpenmod fileinfo && \
    phpenmod exif && \
    phpenmod apcu && \
    phpenmod redis && \
    phpenmod imagick && \
    phpenmod xml

COPY container-setup.sh /tmp
RUN /tmp/container-setup.sh

COPY entrypoint.sh /
CMD /entrypoint.sh
